package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.io.Serializable;

/**
 * @author NianChang
 * @ClassName OrderMessageQueue
 * @date 2021/03/25 10:54 上午
 */
public class OrderMessageQueue implements Serializable {

    private static final long serialVersionUID = -1964904439276604693L;

    /**
     * 业务类型
     */
    private Integer bizType;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 订单推送消息
     */
    private OrderPushMessage before;

    /**
     * 订单推送消息
     */
    private OrderPushMessage after;

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public OrderPushMessage getBefore() {
        return before;
    }

    public void setBefore(OrderPushMessage before) {
        this.before = before;
    }

    public OrderPushMessage getAfter() {
        return after;
    }

    public void setAfter(OrderPushMessage after) {
        this.after = after;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
